# About

Prose provides a beautifully simple content authoring environment for [CMS-free websites](https://web.archive.org/web/20150307201729/http://www.developmentseed.org/blog/2012/07/27/build-cms-free-websites). It's a web-based interface for managing content on [GitHub](http://github.com). Use it to create, edit, and delete files, and save your changes directly to GitHub. Host your website on [GitHub Pages](http://pages.github.com) for free, or set up your own [GitHub webhook server](https://web.archive.org/web/20160316104312/https://developmentseed.org/blog/2013/05/01/introducing-jekyll-hook/).

Prose has advanced support for [Jekyll](http://jekyllrb.com/) sites and [markdown content](http://daringfireball.net/projects/markdown/). Prose detects markdown posts in Jekyll sites and provides syntax highlighting, a formatting toolbar, and draft previews in the site's full layout.

Developers can configure Jekyll sites to take advantage of these and many more features that customize the content editing experience.

## Configuring

Prose can be configured per repository with additional metadata in a Jekyll site's `_config.yml` file or a separate `prose.yml` file. We offer Prose.io as a hosted service for the latest version, or you can download the source code and host it on your own. For developer documentation, see [the wiki page on GitHub](https://github.com/prose/prose/wiki).

## Developing

Prose is an open source project. We encourage you to contribute and help us improve this application or adapt it to your needs. For instructions on developing Prose, see the [Prose contributing guidelines](https://github.com/prose/prose/blob/master/CONTRIBUTING.md).

## Getting Help

We do not offer support for Prose at this time, however if you are a content editor using Prose, you should contact the developer who gave you access to it. To report technical problems with Prose, please [file an issue on GitHub](https://github.com/prose/prose/issues).

## Credits

Prose was created and maintained by [Development Seed](http://developmentseed.org), a creative data visualization and mapping team based in Washington, DC. 

The project is currently looking for [new maintainers](https://github.com/prose/prose/issues/743) and is maintained by the [community](https://github.com/prose/prose/graphs/contributors).